#include <bits/stdc++.h>

using namespace std;

map<int,int> m;
vector<int> v;
int main(){
    int n,k,t,b=0;
    cin >> n >> k;
    for(int i = 0; i < n; i++){
        cin >> t;
        m[t] += 1;
    }
    for(auto const&c : m){
        if(c.second >= k){
            b+=1;
            v.push_back(c.first);
        }
    }
    cout << b << endl;
    for(int i = 0; i < v.size(); i++){
        cout << v[i] <<" ";
    }


}